
GammaLib - Action #1120

Feature # 1036 (Closed): Implement energy resolution

Add GCTAEdispRMF class

01/29/2014 12:06 PM - Deil Christoph

Status: Closed Start date: 01/29/2014

Priority: Normal Due date:  

Assigned To: Forest Florent % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Stage Florent   

Description

At the moment energy resolution exporters from HESS use the RMF format.

Adding a GCTAEdispRMF wrapper class will allow using those in full likelihood fits (not XSPEC style).

Use GCTAAeffARF class as an example.

Test with first data challenge dummy RMF files for a few Crab runs.

Related issues:

Precedes GammaLib - Action # 1424: Complete and verify RMF implementation of ... Closed 01/30/2014

History

#1 - 01/31/2014 09:17 AM - Deil Christoph

- Assigned To set to Owen Ellis

#2 - 01/31/2014 03:09 PM - Owen Ellis

- Status changed from New to In Progress

#3 - 02/11/2014 07:32 PM - Owen Ellis

- % Done changed from 0 to 30

In progress, current status can be found on the branch here: https://github.com/ellisowen/gammalib/tree/action_1120

I just have a couple of questions:

Would it be best here to copy the contents of the RMF or just store the RMF values?

How would it be best to implement the mc method here? Is some kind of random sampling from a step function already available somewhere in

Gammalib which I could use?

#4 - 02/14/2014 05:23 PM - Owen Ellis

- Status changed from In Progress to Pull request

- % Done changed from 30 to 100

Hi Jürgen,

Please can you review this:

https://github.com/ellisowen/gammalib/tree/action_1120

I have implemented the unit tests for this, but haven't yet done any high level testing of the new code.
#5 - 02/14/2014 05:41 PM - Deil Christoph

Did you commit the test/make_solidangle_image.py file by accident?

The easiest solution is to remove it in a new commit ... removing it by modifying the existing commits is possible, but not trivial.

#6 - 02/14/2014 06:06 PM - Owen Ellis

Yes, it seems I introduced that by accident in an earlier commit. Now removed in a new commit.

https://github.com/ellisowen/gammalib/tree/action_1120

#7 - 02/15/2014 01:58 PM - Knödlseder Jürgen

I started to look into the code. There are obvious things that need to be corrected, I'll go ahead and do this as much as possible. I keep you posted.

Generally, I would propose to move much of the energy boundary management things in the GRmf class instead of copying this into the

GCTAEdispRmf class. GCTAEdispRmf should then just hold a GRmf member.

We obviously need also some interpolation methods, actually the mc method returns for example only the bin centres. What I typically do in this case

is some randomization within the bin size. This is not perfect, but at least we get infinite precision values.

#8 - 02/15/2014 02:03 PM - Knödlseder Jürgen

By the way: I propose to rename to GCTAEdispRmf to be consistent with the naming conventions.

#9 - 02/16/2014 03:19 AM - Knödlseder Jürgen

- Status changed from Pull request to Feedback

I now merged all the stuff in and did some adjustments in GCTAEdispRmf. The energy boundary code in now at the GRmf level, and I added GRmf

as a member to GCTAEdispRmf. This removes the need for carrying copies of the energy boundaries in the GCTAEdispRmf class.

I also linked GCTAEdispRmf to GCTAResponse so that the class is automatically instantiated if a RMF is available in the observation definition file.

This works (is now a unit test for this in the CTA Python test).

I have not yet looked into the results of the mc method and the model access operator. But code compiles and all tests are fine, so we can close this

issue for now.

#10 - 07/19/2014 02:10 AM - Knödlseder Jürgen

- Target version deleted (2nd coding sprint)

#11 - 02/18/2015 06:34 PM - Knödlseder Jürgen

- Target version set to Stage Florent

#12 - 02/18/2015 06:45 PM - Knödlseder Jürgen

- Assigned To changed from Owen Ellis to Forest Florent

Check where we stand and close the issue if the class is complete.
#13 - 04/10/2015 05:20 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- Remaining (hours) set to 0.0

Done
